---
title: '<nobr>: The Non-Breaking Text element (obsolete)'
slug: Web/HTML/Element/nobr
tags:
  - Element
  - HTML
  - Non-standard
  - Obsolete
  - Reference
  - Web
  - nobr
---
<div>{{HTMLRef}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The non-standard, obsolete HTML <code>&lt;nobr&gt;</code> element prevents the text it contains from automatically wrapping across multiple lines, potentially resulting in the user having to scroll horizontally to see the entire width of the text.</p>

<div class="notecard warning">
<p>This element was <em>never</em> standard HTML and was not widely implemented, so you shouldn't use it. Instead, use the CSS property {{CSSxRef("white-space")}} like this:</p>
</div>

<pre class="brush: html">&lt;span style="white-space: nowrap;"&gt;Long line with no breaks&lt;/span&gt;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("html.elements.nobr")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("white-space")}}</li>
 <li>{{CSSxRef("overflow")}}</li>
</ul>
